Details

    • Type: Sub-task Sub-task
    • Status: Open
    • Priority: Minor Minor
    • Resolution: Unresolved
    • Affects Version/s: 2.2.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      Update the bookkeeper dependency to 4.2.1. This eases compilation on Fedora platforms

        Issue Links

          Activity

          Robert Rati created issue -
          Robert Rati made changes -
          Field Original Value New Value
          Attachment HDFS-5411.patch [ 12610116 ]
          Rakesh R made changes -
          Parent HDFS-3399 [ 12554717 ]
          Issue Type Improvement [ 4 ] Sub-task [ 7 ]
          Hide
          Rakesh R added a comment -

          Hi Robert, Recently Bookkeeper has released 4.2.2 version, would be good to use this stable version. Whats your opinion?

          Show
          Rakesh R added a comment - Hi Robert, Recently Bookkeeper has released 4.2.2 version, would be good to use this stable version. Whats your opinion?
          Hide
          Robert Rati added a comment -

          4.2.2 causes compilation and test issues. There will need to be additional work in addition to this patch to port to 4.2.2.

          Show
          Robert Rati added a comment - 4.2.2 causes compilation and test issues. There will need to be additional work in addition to this patch to port to 4.2.2.
          Rakesh R made changes -
          Link This issue depends upon BOOKKEEPER-702 [ BOOKKEEPER-702 ]
          Hide
          Rakesh R added a comment -

          Thanks a lot for giving a try with 4.2.2. I'll take a look at this.

          Show
          Rakesh R added a comment - Thanks a lot for giving a try with 4.2.2. I'll take a look at this.
          Steve Loughran made changes -
          Link This issue is depended upon by HADOOP-9991 [ HADOOP-9991 ]
          Steve Loughran made changes -
          Link This issue depends upon HDFS-5518 [ HDFS-5518 ]
          Hide
          Steve Loughran added a comment -

          the later bookkeeper versions depend on HDFS-5518/ HADOOP-10101, as well as their shading protobuf to avoid protobuf version grief.

          Show
          Steve Loughran added a comment - the later bookkeeper versions depend on HDFS-5518 / HADOOP-10101 , as well as their shading protobuf to avoid protobuf version grief.
          Steve Loughran made changes -
          Link This issue depends upon HADOOP-10101 [ HADOOP-10101 ]

            People

            • Assignee:
              Unassigned
              Reporter:
              Robert Rati
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:

                Development